Buckyput

Upload Raw

Route for uploading raw data to the desired folder of a bucket.

The POST body is saved as a file to the bucket. The path to the file is determined by the folder parameter with a Year/Month/Day component added. The actual filename is created from the current time HourMinuteSecond augmented by optional pre- and suffix.

post
https://api.migros.ch/migros/enterprise-support/adp-upload/v1/raw

Query Parameters

folderstring

The folder name inside the bucket, where the files will be stored

file_prefixstring

The prefix of the autogenerated file name. It will be ignored if the file name is defined in the Content-Disposition header.

file_suffixstring

The suffix of the autogenerated file name. It will be ignored if the file name is defined in the Content-Disposition header.

Headers

Content-Dispositionstring

An optional header used to define the file name. Only the filname is used, the media type is ignored.

Note: The use if this header is uncommon and included for backward compatibility only. If you are tempted to use it, you might want to consider switching to the “Upload File” route.

Body

Data to upload.

string

Response

Upload was successful.

post/migros/enterprise-support/adp-upload/v1/raw

Body

No file selected
 

GUI

Returns the upload.html page for File Validation/Uploads

Route for returning the upload UI that will later send checked/verified files into the bucket.

get
https://api.migros.ch/migros/enterprise-support/adp-upload/v1/upload

Response

Request was successful

get/migros/enterprise-support/adp-upload/v1/upload
 

Validate/Upload File

Route for validating the file uploaded via the UI and uploading it to the desired folder if the option was selected and validation was successful.

post
https://api.migros.ch/migros/enterprise-support/adp-upload/v1/upload

Query Parameters

folderstring

The folder name inside the bucket, where the files will be stored

Body

multipart/form-data

File to validate/upload.

filestring
validate_uploadstring

Response

Request was successful

post/migros/enterprise-support/adp-upload/v1/upload

Body

 
Error initializing code snippet